# BEGIN SourceDeps(oneline):
BuildRequires: python-devel
# END SourceDeps(oneline)
# git clone https://github.com/apenwarr/sshuttle.git; cd sshuttle
# checkout=`git log --pretty=format:"%adgit%h" -n1 --date=short|sed 's@-@@g'`
# git archive --format=tar.gz --prefix=sshuttle-0-$checkout/ --output ../sshuttle-0-$checkout.tar.gz master
# mv ../sshuttle-0-$checkout.tar.gz ~/rpmbuild/SOURCES

%global checkout 20120810git9ce2fa0

Name:               sshuttle
Version:            0
Release:            alt1_8.%{checkout}
Summary:            Transparent Proxy VPN

Source0:            %{name}-%{version}-%{checkout}.tar.gz
URL:                https://github.com/apenwarr/sshuttle
Group:              Networking/WWW
License:            LGPLv2+
BuildArch:          noarch

BuildRequires:      python-module-markdown
BuildRequires:      python-module-BeautifulSoup
Requires:           iptables
Requires:           openssh-clients
Source44: import.info

%description
Transparent proxy server that works as a poor man's VPN. Forwards over ssh.
Doesn't require admin. Works with Linux and MacOS. Supports DNS tunneling.

%prep
%setup -q -n %{name}-%{version}-%{checkout}
rm stresstest.py

%build
make
%__python -c 'import compileall
compileall.compile_dir(".",ddir="%{_datadir}/%{name}",force=True)'

%install
install -d "%{buildroot}%{_datadir}/%{name}"
install -m0644 -p *.py* "%{buildroot}%{_datadir}/%{name}"
cp -a compat "%{buildroot}%{_datadir}/%{name}/"
install -d "%{buildroot}%{_bindir}"

cat<<EOF >"%{buildroot}%{_bindir}/%{name}"
#!/bin/sh
PYTHONPATH="%{_datadir}/%{name}"
export PYTHONPATH
exec %__python "%{_datadir}/%{name}/main.py" "%__python" "\$@"
EOF

chmod 0755 "%{buildroot}%{_bindir}/%{name}"


gzip Documentation/sshuttle.8
mkdir -p %{buildroot}/%{_mandir}/man8
mv Documentation/sshuttle.8.gz %{buildroot}/%{_mandir}/man8


%files
%doc LICENSE README.md
%{_mandir}/man8/sshuttle.8*
%{_bindir}/sshuttle
%{_datadir}/%{name}

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_8.20120810git9ce2fa0
- initial fc import

